## coq-reduction-effects 0.1.3

=== Makefile ===
all: Makefile.coq
	$(MAKE) -f $< $@

install: Makefile.coq
	$(MAKE) -f $< $@

uninstall: Makefile.coq
	$(MAKE) -f $< $@

clean:
	if [ -e Makefile.coq ]; then $(MAKE) -f Makefile.coq $@; fi
	$(RM) Makefile.coq Makefile.coq.conf .*.aux

test:
	$(MAKE) -C tests clean
	$(MAKE) -C tests

Makefile.coq: _CoqProject
	$(COQBIN)coq_makefile -f $< -o $@

%: meta.yml templates/%.mustache
	mustache $^ > $@

=== debian/changelog ===
coq-reduction-effects (0.1.3-2) unstable; urgency=medium

  * Complete d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 19 Jul 2022 08:55:53 +0200

coq-reduction-effects (0.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1015018)

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Jul 2022 13:25:56 +0200

## coq-reduction-effects 0.1.4

=== Makefile ===
COMPATFILES:= \
	PrintingEffect.v \
	_CoqProject

all: Makefile.coq $(COMPATFILES)
	$(MAKE) -f $< $@

install: Makefile.coq
	$(MAKE) -f $< $@

uninstall: Makefile.coq
	$(MAKE) -f $< $@

clean:
	if [ -e Makefile.coq ]; then $(MAKE) -f Makefile.coq $@; fi
	$(RM) Makefile.coq Makefile.coq.conf .*.aux $(COMPATFILES)

test:
	$(MAKE) -C tests clean
	$(MAKE) -C tests

Makefile.coq: _CoqProject
	$(COQBIN)coq_makefile -f $< -o $@

%: %.cppo
	cppo -V COQ:$(word 1, $(shell coqc -print-version)) -n -o $@ $^

=== debian/changelog ===
coq-reduction-effects (0.1.4-3) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 08:36:56 +0100

coq-reduction-effects (0.1.4-2) unstable; urgency=medium

  * Adapt to Coq 8.16.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 05 Sep 2022 18:16:09 +0200

coq-reduction-effects (0.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 13 Aug 2022 06:57:30 +0200

=== debian/control ===
Source: coq-reduction-effects
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq (>= 8.16),
               cppo,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-core-ocaml-dev,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-reduction-effects
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-reduction-effects.git
Homepage: https://github.com/coq-community/reduction-effects

Package: libcoq-reduction-effects
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: reduction effects for Coq
 This plugin adds reduction side effects to some
 of the Coq reduction strategies.
 .
 Coq is a proof assistant for higher-order logic.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with coq

override_dh_auto_clean:
	# not good

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp

## coq-reduction-effects 0.1.5

=== debian/changelog ===
coq-reduction-effects (0.1.5-5) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 05:36:51 +0200

coq-reduction-effects (0.1.5-4) unstable; urgency=medium

  * Fix target distribution (dch -r issue?).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Apr 2024 15:50:51 +0200

coq-reduction-effects (0.1.5-3) binary; urgency=medium

  * Fix target distribution.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Apr 2024 15:48:40 +0200

coq-reduction-effects (0.1.5-2) binary; urgency=medium

  * Rebuild for binary compatibility.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 09:27:08 +0100

coq-reduction-effects (0.1.5-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044395).
  * New upstream release.
  * Remove obsolete d/copyright entry.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 16:04:44 +0100

coq-reduction-effects (0.1.4-4) unstable; urgency=medium

  * Bump standards-version to 4.6.2.
  * Add lintian overrides for false positives.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 19:33:16 +0200

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom ReductionEffect PrintingEffect
Depends: coq, @

=== debian/watch ===
version=4
https://github.com/coq-community/reduction-effects/tags .*/v?([\d\.]+).tar.gz

## coq-reduction-effects 0.1.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 COMPATFILES:= \
+	redeffect.mlg \
 	PrintingEffect.v \
 	_CoqProject

=== tests/Makefile ===
TESTS_V := $(shell grep '[^ ]*\.v' _CoqProject)
TESTS_OUT := $(TESTS_V:.v=.out)
TESTS := $(TESTS_V:.v=)

.PHONY: all
all: $(TESTS)

$(TESTS_OUT): Makefile.coq
	$(MAKE) -f Makefile.coq $@

.PHONY: $(TESTS)

$(TESTS) : % : %.out %.expected
	diff $*.out $*.expected

.PHONY: accept-output $(addprefix accept-,$(TESTS))

accept-output: $(addprefix accept-,$(TESTS))

$(addprefix accept-,$(TESTS)) : accept-% : %.out
	cp -f $< $*.expected

clean:
	if [ -e Makefile.coq ]; then $(MAKE) -f Makefile.coq $@; fi
	$(RM) Makefile.coq Makefile.coq.conf .*.aux $(TESTS_OUT)

Makefile.coq: _CoqProject
	$(COQBIN)coq_makefile -f $< -o $@

=== debian/changelog ===
coq-reduction-effects (0.1.6-1) experimental; urgency=medium

  * Bump standards-version to 4.7.2.
  * New upstream release.
  * Adapt lintian overrides.
  * Drop useless dbgsym package.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 09:24:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: coq (>= 8.16),
+Build-Depends: coq (>= 8.18),
                cppo,
                debhelper-compat (= 13),
                dh-coq,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_OPTIONS += noautodbgsym

%:
	dh $@ --with coq,ocaml

override_dh_auto_clean:
	make clean
	make -C tests clean
	rm -f META.coq-reduction-effects

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp
